/* Imageオブジェクトの中身 */
struct DXRubyImage {
    struct DXRubyTexture *texture;
    float x;     /* x始点位置      */
    float y;     /* y始点位置      */
    float width; /* イメージの幅   */
    float height;/* イメージの高さ */
};

/* テクスチャデータ */
struct DXRubyTexture {
    LPDIRECT3DTEXTURE9 pD3DTexture;     /* ピクチャに使うテクスチャ   */
    int width;
    int height;
    int refcount;
};

void Init_dxruby_Image( void );

void Image_release( struct DXRubyImage* image );
VALUE Image_drawFontEx( int argc, VALUE *argv, VALUE obj );
VALUE Image_dispose( VALUE self );
VALUE Image_allocate( VALUE klass );
VALUE Image_initialize( int argc, VALUE *argv, VALUE obj );

